package cz.muni.fi.pa165.dao.tournament;

import cz.muni.fi.pa165.entity.TeamEntity;
import cz.muni.fi.pa165.entity.TournamentEntity;
import cz.muni.fi.pa165.dao.BaseDaoImpl;
import org.springframework.stereotype.Repository;

import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import java.util.List;


/**
 * @author Dominik Kozubík
 */
@Repository
public class TournamentDaoImpl extends BaseDaoImpl<TournamentEntity> implements TournamentDao {

    @PersistenceContext
    private EntityManager em;

    public TournamentDaoImpl() {
        super(TournamentEntity.class);
    }

    @Override
    public List<TournamentEntity> getTournamentsByCity(String cityName) {
        if (cityName == null) {
            throw new IllegalArgumentException("String cityName is null!");
        }
        return em.createQuery("select t from TournamentEntity t where t.city = :cityName", TournamentEntity.class)
                .setParameter("cityName", cityName)
                .getResultList();
    }

    @Override
    public List<TournamentEntity> getTournamentsWonBy(TeamEntity team) {
        if (team == null) {
            throw new IllegalArgumentException("Team is null!");
        }
        return em.createQuery("select t from TournamentEntity t where t.teamsEnrolled = :team", TournamentEntity.class)
                .setParameter("team", team)
                .getResultList();
    }
}
