package cz.muni.fi.pa165.services.player;

import cz.muni.fi.pa165.dao.player.PlayerDao;
import cz.muni.fi.pa165.entity.PlayerEntity;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.transaction.Transactional;
import java.util.List;

/**
 * @author Dominik Kozubík
 */
@Service
@Transactional
public class PlayerServiceImpl implements PlayerService {

    @Autowired
    private PlayerDao playerDao;

    @Override
    public void create(PlayerEntity player) {
        if (player == null) {
            throw new IllegalArgumentException("Given entity is null.");
        }
        playerDao.create(player);
    }

    @Override
    public List<PlayerEntity> findAll() {
        return playerDao.findAll();
    }

    @Override
    public PlayerEntity findById(String id) {
        if (id == null) {
            throw new IllegalArgumentException("Given id is null.");
        }
        return playerDao.findById(id);
    }

    @Override
    public String update(PlayerEntity player) {
        if (player == null) {
            throw new IllegalArgumentException("Given entity is null.");
        }
        return playerDao.update(player);
    }

    @Override
    public void remove(PlayerEntity player) {
        if (player == null) {
            throw new IllegalArgumentException("Given entity is null.");
        }
        playerDao.remove(player);
    }
}
